import { ISet } from '../interfaces/set';
import { IQuery } from '../interfaces/query';
import { ILegality } from '../interfaces/legality';
import { ISetImage } from '../interfaces/image';
export declare class Set implements ISet {
    id: string;
    images: ISetImage;
    legalities: ILegality;
    name: string;
    printedTotal: number;
    ptcgoCode: string;
    releaseDate: string;
    series: string;
    total: number;
    updatedAt: string;
    resource(): string;
    /**
     * @deprecated `Set.find` is renamed to `findSetById` in version 2. See the **[migration guide](https://github.com/acupoftee/pokemon-tcg-sdk-typescript/blob/master/MIGRATING.md)** for more info.
     */
    static find(id: string): Promise<Set>;
    /**
     * @deprecated `Set.all` is renamed to `getAllSets` in version 2. See the **[migration guide](https://github.com/acupoftee/pokemon-tcg-sdk-typescript/blob/master/MIGRATING.md)** for more info.
     */
    static all(): Promise<Set[]>;
    /**
     * @deprecated `Set.where` is renamed to `findSetsByQueries` in version 2. See the **[migration guide](https://github.com/acupoftee/pokemon-tcg-sdk-typescript/blob/master/MIGRATING.md)** for more info.
     */
    static where(params: IQuery[]): Promise<Set[]>;
}
